package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 t_conveyor_status
 * 
 * @author wms
 * @date 2022-06-11
 */
@TableName("t_conveyor_status")
public class TConveyorStatus extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 工作台号码 */
    @TableId(value = "CONVERYOR_ID", type = IdType.ASSIGN_UUID)
    private String converyorId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("OPTTYPE")
    private String opttype;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("STORAGE_ID")
    private String storageId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("DEC_ID")
    private String decId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("AUTO_MODE")
    private String autoMode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("MANUAL_MODE")
    private String manualMode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("AlarmMode")
    private String alarmmode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("LoadMode")
    private String loadmode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("OverSize")
    private String oversize;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("OutEnable")
    private String outenable;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("InEnable")
    private String inenable;

    /** 任务号 */
    @Excel(name = "任务号")
    @TableField("PlcID")
    private Long plcid;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("Mode")
    private String mode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("Ledip")
    private String ledip;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("ledtype")
    private String ledtype;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("pcIp")
    private String pcip;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("desciption")
    private String desciption;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("writeMode")
    private String writemode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("hgh")
    private String hgh;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("row")
    private String row;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("cln")
    private String cln;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("layer")
    private String layer;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("plcitem")
    private String plcitem;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("error")
    private String error;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("LinkId")
    private String linkid;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("pickingid")
    private String pickingid;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("pickingct")
    private String pickingct;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("wgh")
    private String wgh;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("cloc")
    private String cloc;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("MoveSts")
    private String movests;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("sts")
    private String sts;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("startCyId")
    private String startcyid;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("locid")
    private String locid;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("rkwgh")
    private String rkwgh;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("endrk")
    private String endrk;

    /** 条码 */
    @Excel(name = "条码")
    @TableField("barcode")
    private String barcode;

    public void setConveryorId(String converyorId) 
    {
        this.converyorId = converyorId;
    }

    public String getConveryorId() 
    {
        return converyorId;
    }
    public void setOpttype(String opttype) 
    {
        this.opttype = opttype;
    }

    public String getOpttype() 
    {
        return opttype;
    }
    public void setStorageId(String storageId) 
    {
        this.storageId = storageId;
    }

    public String getStorageId() 
    {
        return storageId;
    }
    public void setDecId(String decId) 
    {
        this.decId = decId;
    }

    public String getDecId() 
    {
        return decId;
    }
    public void setAutoMode(String autoMode) 
    {
        this.autoMode = autoMode;
    }

    public String getAutoMode() 
    {
        return autoMode;
    }
    public void setManualMode(String manualMode) 
    {
        this.manualMode = manualMode;
    }

    public String getManualMode() 
    {
        return manualMode;
    }
    public void setAlarmmode(String alarmmode) 
    {
        this.alarmmode = alarmmode;
    }

    public String getAlarmmode() 
    {
        return alarmmode;
    }
    public void setLoadmode(String loadmode) 
    {
        this.loadmode = loadmode;
    }

    public String getLoadmode() 
    {
        return loadmode;
    }
    public void setOversize(String oversize) 
    {
        this.oversize = oversize;
    }

    public String getOversize() 
    {
        return oversize;
    }
    public void setOutenable(String outenable) 
    {
        this.outenable = outenable;
    }

    public String getOutenable() 
    {
        return outenable;
    }
    public void setInenable(String inenable) 
    {
        this.inenable = inenable;
    }

    public String getInenable() 
    {
        return inenable;
    }
    public void setPlcid(Long plcid) 
    {
        this.plcid = plcid;
    }

    public Long getPlcid() 
    {
        return plcid;
    }
    public void setMode(String mode) 
    {
        this.mode = mode;
    }

    public String getMode() 
    {
        return mode;
    }
    public void setLedip(String ledip) 
    {
        this.ledip = ledip;
    }

    public String getLedip() 
    {
        return ledip;
    }
    public void setLedtype(String ledtype) 
    {
        this.ledtype = ledtype;
    }

    public String getLedtype() 
    {
        return ledtype;
    }
    public void setPcip(String pcip) 
    {
        this.pcip = pcip;
    }

    public String getPcip() 
    {
        return pcip;
    }
    public void setDesciption(String desciption) 
    {
        this.desciption = desciption;
    }

    public String getDesciption() 
    {
        return desciption;
    }
    public void setWritemode(String writemode) 
    {
        this.writemode = writemode;
    }

    public String getWritemode() 
    {
        return writemode;
    }
    public void setHgh(String hgh) 
    {
        this.hgh = hgh;
    }

    public String getHgh() 
    {
        return hgh;
    }
    public void setRow(String row) 
    {
        this.row = row;
    }

    public String getRow() 
    {
        return row;
    }
    public void setCln(String cln) 
    {
        this.cln = cln;
    }

    public String getCln() 
    {
        return cln;
    }
    public void setLayer(String layer) 
    {
        this.layer = layer;
    }

    public String getLayer() 
    {
        return layer;
    }
    public void setPlcitem(String plcitem) 
    {
        this.plcitem = plcitem;
    }

    public String getPlcitem() 
    {
        return plcitem;
    }
    public void setError(String error) 
    {
        this.error = error;
    }

    public String getError() 
    {
        return error;
    }
    public void setLinkid(String linkid) 
    {
        this.linkid = linkid;
    }

    public String getLinkid() 
    {
        return linkid;
    }
    public void setPickingid(String pickingid) 
    {
        this.pickingid = pickingid;
    }

    public String getPickingid() 
    {
        return pickingid;
    }
    public void setPickingct(String pickingct) 
    {
        this.pickingct = pickingct;
    }

    public String getPickingct() 
    {
        return pickingct;
    }
    public void setWgh(String wgh) 
    {
        this.wgh = wgh;
    }

    public String getWgh() 
    {
        return wgh;
    }
    public void setCloc(String cloc) 
    {
        this.cloc = cloc;
    }

    public String getCloc() 
    {
        return cloc;
    }
    public void setMovests(String movests) 
    {
        this.movests = movests;
    }

    public String getMovests() 
    {
        return movests;
    }
    public void setSts(String sts) 
    {
        this.sts = sts;
    }

    public String getSts() 
    {
        return sts;
    }
    public void setStartcyid(String startcyid) 
    {
        this.startcyid = startcyid;
    }

    public String getStartcyid() 
    {
        return startcyid;
    }
    public void setLocid(String locid) 
    {
        this.locid = locid;
    }

    public String getLocid() 
    {
        return locid;
    }
    public void setRkwgh(String rkwgh) 
    {
        this.rkwgh = rkwgh;
    }

    public String getRkwgh() 
    {
        return rkwgh;
    }
    public void setEndrk(String endrk) 
    {
        this.endrk = endrk;
    }

    public String getEndrk() 
    {
        return endrk;
    }
    public void setBarcode(String barcode) 
    {
        this.barcode = barcode;
    }

    public String getBarcode() 
    {
        return barcode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("converyorId", getConveryorId())
            .append("opttype", getOpttype())
            .append("storageId", getStorageId())
            .append("decId", getDecId())
            .append("autoMode", getAutoMode())
            .append("manualMode", getManualMode())
            .append("alarmmode", getAlarmmode())
            .append("loadmode", getLoadmode())
            .append("oversize", getOversize())
            .append("outenable", getOutenable())
            .append("inenable", getInenable())
            .append("remark", getRemark())
            .append("plcid", getPlcid())
            .append("mode", getMode())
            .append("ledip", getLedip())
            .append("ledtype", getLedtype())
            .append("pcip", getPcip())
            .append("desciption", getDesciption())
            .append("writemode", getWritemode())
            .append("hgh", getHgh())
            .append("row", getRow())
            .append("cln", getCln())
            .append("layer", getLayer())
            .append("plcitem", getPlcitem())
            .append("error", getError())
            .append("linkid", getLinkid())
            .append("pickingid", getPickingid())
            .append("pickingct", getPickingct())
            .append("wgh", getWgh())
            .append("cloc", getCloc())
            .append("movests", getMovests())
            .append("sts", getSts())
            .append("startcyid", getStartcyid())
            .append("locid", getLocid())
            .append("rkwgh", getRkwgh())
            .append("endrk", getEndrk())
            .append("barcode", getBarcode())
            .toString();
    }
}
